summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorTommy Nguyen <remyabel@gmail.com>2018-08-19 07:22:48 -0400
committerTommy Nguyen <remyabel@gmail.com>2018-08-19 07:22:48 -0400
commitd2bdac29aa7038177ab26f91c06d9f01703d97c5 (patch)
tree3b9635fb705020360ff62ee349c36bf1b5bfc271 /test
parentcea736e6e92bb0c37b61af15da9c261b79eb3c9b (diff)
parente6712832b502bf893d11d0c891f5ab1b69242fec (diff)
Merge branch 'master' into 157_remove_bom
Diffstat (limited to 'test')
-rwxr-xr-xtest/repos/case_insensitive_checkouts.sh3
-rwxr-xr-xtest/repos/gpg.sh3
-rwxr-xr-xtest/repos/lots_of_commits.sh3
-rwxr-xr-xtest/repos/lots_of_diffs.sh35
-rwxr-xr-xtest/repos/merge_conflict.sh3
-rwxr-xr-xtest/repos/pre_commit_hook.sh3
-rwxr-xr-xtest/repos/unicode_characters.sh3
7 files changed, 53 insertions, 0 deletions
diff --git a/test/repos/case_insensitive_checkouts.sh b/test/repos/case_insensitive_checkouts.sh
index 23997a670..1a2b83403 100755
--- a/test/repos/case_insensitive_checkouts.sh
+++ b/test/repos/case_insensitive_checkouts.sh
@@ -2,6 +2,9 @@
set -ex; rm -rf repo; mkdir repo; cd repo
git init
+git config user.email "test@example.com"
+git config user.name "Lazygit Tester"
+
touch foo
git add foo
diff --git a/test/repos/gpg.sh b/test/repos/gpg.sh
index 719c6467b..646f785b1 100755
--- a/test/repos/gpg.sh
+++ b/test/repos/gpg.sh
@@ -2,6 +2,9 @@
set -ex; rm -rf repo; mkdir repo; cd repo
git init
+git config user.email "test@example.com"
+git config user.name "Lazygit Tester"
+
git config gpg.program $(which gpg)
git config user.signingkey E304229F # test key
diff --git a/test/repos/lots_of_commits.sh b/test/repos/lots_of_commits.sh
index 7c271f751..ad55864c3 100755
--- a/test/repos/lots_of_commits.sh
+++ b/test/repos/lots_of_commits.sh
@@ -2,6 +2,9 @@
set -ex; rm -rf repo; mkdir repo; cd repo
git init
+git config user.email "test@example.com"
+git config user.name "Lazygit Tester"
+
i=2
end=100
diff --git a/test/repos/lots_of_diffs.sh b/test/repos/lots_of_diffs.sh
new file mode 100755
index 000000000..08c743f35
--- /dev/null
+++ b/test/repos/lots_of_diffs.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+set -ex; rm -rf repo; mkdir repo; cd repo
+
+git init
+git config user.email "test@example.com"
+git config user.name "Lazygit Tester"
+
+
+echo "deleted" > deleted_staged
+echo "deleted_unstaged" > deleted_unstaged
+echo "modified_staged" > modified_staged
+echo "modified_unstaged" > modified_unstaged
+echo "renamed" > renamed_before
+
+git add .
+git commit -m "files to delete"
+rm deleted_staged
+rm deleted_unstaged
+
+rm renamed_before
+echo "renamed" > renamed_after
+echo "more" >> modified_staged
+echo "more" >> modified_unstaged
+echo "untracked_staged" > untracked_staged
+echo "untracked_unstaged" > untracked_unstaged
+echo "blah" > "file with space staged"
+echo "blah" > "file with space unstaged"
+echo "same name as branch" > master
+
+git add deleted_staged
+git add modified_staged
+git add untracked_staged
+git add "file with space staged"
+git add renamed_before
+git add renamed_after \ No newline at end of file
diff --git a/test/repos/merge_conflict.sh b/test/repos/merge_conflict.sh
index 8ba234203..51e4c1ce6 100755
--- a/test/repos/merge_conflict.sh
+++ b/test/repos/merge_conflict.sh
@@ -2,6 +2,9 @@
set -ex; rm -rf repo; mkdir repo; cd repo
git init
+git config user.email "test@example.com"
+git config user.name "Lazygit Tester"
+
function add_spacing {
for i in {1..60}
diff --git a/test/repos/pre_commit_hook.sh b/test/repos/pre_commit_hook.sh
index 1c24bf19f..f1b76b56a 100755
--- a/test/repos/pre_commit_hook.sh
+++ b/test/repos/pre_commit_hook.sh
@@ -2,6 +2,9 @@
set -ex; rm -rf repo; mkdir repo; cd repo
git init
+git config user.email "test@example.com"
+git config user.name "Lazygit Tester"
+
cp ../extras/pre-commit .git/hooks/pre-commit
chmod +x .git/hooks/pre-commit
diff --git a/test/repos/unicode_characters.sh b/test/repos/unicode_characters.sh
index 69ac5e622..fc4cddf1b 100755
--- a/test/repos/unicode_characters.sh
+++ b/test/repos/unicode_characters.sh
@@ -2,6 +2,9 @@
set -ex; rm -rf repo; mkdir repo; cd repo
git init
+git config user.email "test@example.com"
+git config user.name "Lazygit Tester"
+
# Add some ansi, unicode, zero width joiner caracters
cat <<EOT >> charstest.txt